<html>
<head>
<title> FOLHA DE PAGAMENTO </title>
<link href="inclusos/css_precopratico.css" rel="stylesheet" type="text/css">
</head>
<body>
<?php
error_reporting(0);
ini_set("display_errors", 0 );
header('Content-Type: text/html; charset=utf-8');
include("configuracao.php");//confirma no banco de dados
include("inclusos/funcoes.php");
include("seguranca.php"); // Inclui o arquivo com o sistema de seguran?a
protegePagina(); // Protege a página
?>

<?php
$SelecionaObrasServico = Seleciona("agenda", "WHERE excluido IS NULL", "ORDER BY data DESC") or die(mysql_error());
$contar = mysql_num_rows($SelecionaObrasServico);

for($i=0;$i<1;$i++){   
$html[$i] = "";
    $html[$i] .= "<table id='tblExport'>";
    $html[$i] .= "<tr>";
    $html[$i] .= "<td><b>Data</b></td>";
    $html[$i] .= "<td><b>Cliente</b></td>";
    $html[$i] .= "<td><b>Assunto</b></td>";
	$html[$i] .= "<td><b>Local</b></td>";	
    $html[$i] .= "<td><b>Hora Inicio</b></td>";
	$html[$i] .= "<td><b>Hora Fim</b></td>";	
	$html[$i] .= "<td><b>Tipo</b></td>";
    $html[$i] .= "<td><b>Obs</b></td>";    
    $html[$i] .= "<td><b>ID Atendimento</b></td>";	
    $html[$i] .= "</tr>";
}

$i = 1;
while($ret = mysql_fetch_array($SelecionaObrasServico)){
	
	if($ret['idatendimento'] > 0){ 
	$selecionar_atendimentos = Seleciona("atendimentos_agenciae", "WHERE idatendimento='".$ret['idatendimento']."'", "") or die(mysql_error());
	while($linha_atendimentos=mysql_fetch_array($selecionar_atendimentos)){
	$aniversariante = " - " . $linha_atendimentos['aniversariante']; 
	}	    
	} 	


	$SelecionaAgenda = Seleciona("agenda_tipos", "WHERE idtipo_agenda='".$ret['tipo'] ."'", "ORDER BY titulo ASC");
	while($linha_agendas = mysql_fetch_array($SelecionaAgenda)){
	$TituloTipo = $linha_agendas['titulo'];
	$CorTipo = $linha_agendas['cor'];
	}

	if($ret['idcliente'] > 0){ 
	$selecionar_clientes = Seleciona("clientes", "WHERE idcliente='".$ret['idcliente']."'", "") or die(mysql_error());
	while($linha_clientes=mysql_fetch_array($selecionar_clientes)){

	$responsavel = $linha_clientes['nome']; 

	}	
	}
	
    $html[$i] .= "<tr style='background-color: ".$CorTipo.";'>";
    $html[$i] .= "<td><b>".InverteDataNovoSeparador($ret['data'], "-", "/")."</b></td>";
    $html[$i] .= "<td><b>".$responsavel."</b></td>";
    $html[$i] .= "<td>".$ret['assunto'] . $aniversariante ."</td>";	
    $html[$i] .= "<td>".$ret['local']."</td>";
    $html[$i] .= "<td>".$ret['horainicio']."</td>";
    $html[$i] .= "<td>".$ret['horafim']."</td>";
    $html[$i] .= "<td>".$TituloTipo."</td>";	
    $html[$i] .= "<td><b>".$ret['resumo']."</b></td>";
	$html[$i] .= "<td><b>".$ret['idatendimento']."</b></td>";	
    $html[$i] .= "</tr>";
    $i++;
	
	$responsavel = "";
	$aniversariante = "";
	$CorTipo = "";
	$TituloTipo = "";
	
}
    $html[$i] .= "</table>";
for($i=0;$i<=$contar;$i++){  
    echo $html[$i];
}	

?>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.0/jquery.min.js"></script>
<script src="js/excel/jquery.btechco.excelexport.js" charset="utf8"></script>
<script src="js/excel/jquery.base64.js" charset="utf8"></script>
<script>
    $(document).ready(function () {
            $("#tblExport").btechco_excelexport({
                containerid: "tblExport"
               , datatype: $datatype.Table
               , filename: 'AGENDA GERAL - <?php echo date('d/m/Y');?>'
            });
			window.close();
    });
</script>
</body>
</html>